GNU bug report logs - #53997
[PATCH] gnu: racket: Update to 8.4.

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Attila Lendvai <attila@HIDDEN>; Keywords: patch; merged with #53878; Done: Liliana Marie Prikler <liliana.prikler@HIDDEN>; Maintainer for guix-patches is guix-patches@HIDDEN.
bug unarchived. Request was from Maxime Devos <maximedevos@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
bug archived. Request was from Debbugs Internal Request <help-debbugs@HIDDEN> to internal_control <at> debbugs.gnu.org. Full text available.
bug unarchived. Request was from Philip McGrath <philip@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
bug archived. Request was from Debbugs Internal Request <help-debbugs@HIDDEN> to internal_control <at> debbugs.gnu.org. Full text available.
Merged 53878 53997. Request was from Ludovic Courtès <ludo@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 53997 <at> debbugs.gnu.org:


Received: (at 53997) by debbugs.gnu.org; 14 Feb 2022 16:40:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Feb 14 11:40:23 2022
Received: from localhost ([127.0.0.1]:42396 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nJeOl-0005pW-31
	for submit <at> debbugs.gnu.org; Mon, 14 Feb 2022 11:40:23 -0500
Received: from hera.aquilenet.fr ([185.233.100.1]:48186)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1nJeOi-0005pG-JT
 for 53997 <at> debbugs.gnu.org; Mon, 14 Feb 2022 11:40:21 -0500
Received: from localhost (localhost [127.0.0.1])
 by hera.aquilenet.fr (Postfix) with ESMTP id 0A35CB5F;
 Mon, 14 Feb 2022 17:40:14 +0100 (CET)
X-Virus-Scanned: Debian amavisd-new at aquilenet.fr
Received: from hera.aquilenet.fr ([127.0.0.1])
 by localhost (hera.aquilenet.fr [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id bSr2fIL_lspR; Mon, 14 Feb 2022 17:40:12 +0100 (CET)
Received: from ribbon (91-160-117-201.subs.proxad.net [91.160.117.201])
 by hera.aquilenet.fr (Postfix) with ESMTPSA id CDA5A35C;
 Mon, 14 Feb 2022 17:40:11 +0100 (CET)
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Attila Lendvai <attila@HIDDEN>
Subject: Re: bug#53997: [PATCH] gnu: racket: Update to 8.4.
References: <20220214161345.27959-1-attila@HIDDEN>
Date: Mon, 14 Feb 2022 17:40:11 +0100
In-Reply-To: <20220214161345.27959-1-attila@HIDDEN> (Attila Lendvai's
 message of "Mon, 14 Feb 2022 17:13:47 +0100")
Message-ID: <877d9xwges.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spamd-Bar: /
Authentication-Results: hera.aquilenet.fr;
	none
X-Rspamd-Server: hera
X-Rspamd-Queue-Id: 0A35CB5F
X-Spamd-Result: default: False [-0.10 / 15.00]; ARC_NA(0.00)[];
 RCVD_VIA_SMTP_AUTH(0.00)[]; RCPT_COUNT_TWO(0.00)[2];
 FROM_HAS_DN(0.00)[]; TO_DN_SOME(0.00)[];
 TO_MATCH_ENVRCPT_ALL(0.00)[]; MIME_GOOD(-0.10)[text/plain];
 FROM_EQ_ENVFROM(0.00)[]; MIME_TRACE(0.00)[0:+];
 RCVD_COUNT_TWO(0.00)[2]; RCVD_TLS_ALL(0.00)[];
 MID_RHS_MATCH_FROM(0.00)[]
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 53997
Cc: 53997 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

Merging with <https://issues.guix.gnu.org/53878>.




Information forwarded to guix-patches@HIDDEN:
bug#53997; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 14 Feb 2022 16:15:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Feb 14 11:15:46 2022
Received: from localhost ([127.0.0.1]:42349 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nJe0w-000586-Hm
	for submit <at> debbugs.gnu.org; Mon, 14 Feb 2022 11:15:46 -0500
Received: from lists.gnu.org ([209.51.188.17]:47178)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <attila.lendvai@HIDDEN>) id 1nJe0r-00057u-Em
 for submit <at> debbugs.gnu.org; Mon, 14 Feb 2022 11:15:45 -0500
Received: from eggs.gnu.org ([209.51.188.92]:60604)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <attila.lendvai@HIDDEN>)
 id 1nJe0o-0005tH-Kt
 for guix-patches@HIDDEN; Mon, 14 Feb 2022 11:15:41 -0500
Received: from [2a00:1450:4864:20::62c] (port=42717
 helo=mail-ej1-x62c.google.com)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <attila.lendvai@HIDDEN>)
 id 1nJe0m-0005JL-ET
 for guix-patches@HIDDEN; Mon, 14 Feb 2022 11:15:38 -0500
Received: by mail-ej1-x62c.google.com with SMTP id hw13so9971546ejc.9
 for <guix-patches@HIDDEN>; Mon, 14 Feb 2022 08:15:35 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=sender:from:to:cc:subject:date:message-id:mime-version
 :content-transfer-encoding;
 bh=OFNUFCvhT64etsVe96pRCbljYZF6Uc/wUZHmycF+DWk=;
 b=oSk7/KsxJKahPnk+oQIx+HFhoUOQx+YcWgNjbotBS3J2EvWc4Jxl7GIbCGxVl3XTOG
 KUYvZB6MOEidhZUZfRhIJwZ81kbJMGJji7SQ5jSr1ZEXDl9yuoLOBKzSfZRj1oCC/HCa
 I+MRkavPL5zjoe7okgBrexQIsQ2uDdMedovoU31muxynOaOMUb4tg3tZ3qfaG+qintJD
 /F0NAAAtT6F02v0/DXkuLYF9XbTZ0H125RnrdeJmsn2b/hd9rkA73jiyyDg3DB7gao4F
 8rQ1q4LSz+aUVVp0eKCT8nBPLxODKfH5iR9Nmr/HXOb+HJbvzqmTILRCTUO/vv91jQD6
 VQsg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:sender:from:to:cc:subject:date:message-id
 :mime-version:content-transfer-encoding;
 bh=OFNUFCvhT64etsVe96pRCbljYZF6Uc/wUZHmycF+DWk=;
 b=p0lut/akDIK2vpRQsdjkBOi7EedCuvd8q/138Us740q1q2qF4TglcmZ+GBRo1OZ+hw
 WFd01rxyY8ZKmc/hokUM9/zjqm3NCVlPKaqqkVytE5Mg6RCYEkEG5TKldqSvt7x0Gt/3
 f3lkyYUHqJRIZCrInKRPgIhiElubJsLDHvhSUr/+RW7GFdRxapu8+u0czdv6DTSzyYl4
 orjiOq6kmBVYBGBswA+NM2USqkKB4pj+jfGwOzut7pz6IH9952Makwir2iTHhq8NCq+o
 1RXXYbUKo4JSGQWDtBiicucuogmDQLabOWRwKOjhM/36uf2cHLnlaKG44OAj09UenrM4
 l4xg==
X-Gm-Message-State: AOAM531IjI1ZWWbU5biY2BO7P/L3sqLfXAH/24MwnlFurE95MWSu6Vqg
 Opp37z6eTyG1wdlrIFM0ueABVUA8B5E=
X-Google-Smtp-Source: ABdhPJzwu2yZj14AvBHfEMQCGatU9JJ1/3KL1SQWHOK4OQ+1W0yBXQexDJMKc8EEReNuyCE05h9sFA==
X-Received: by 2002:a17:907:3e90:: with SMTP id
 hs16mr220138ejc.731.1644855333529; 
 Mon, 14 Feb 2022 08:15:33 -0800 (PST)
Received: from lelap.local (catv-89-132-245-188.catv.fixed.vodafone.hu.
 [89.132.245.188])
 by smtp.gmail.com with ESMTPSA id y21sm3466165eda.38.2022.02.14.08.15.32
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Mon, 14 Feb 2022 08:15:32 -0800 (PST)
From: Attila Lendvai <attila@HIDDEN>
To: guix-patches@HIDDEN
Subject: [PATCH] gnu: racket: Update to 8.4.
Date: Mon, 14 Feb 2022 17:13:47 +0100
Message-Id: <20220214161345.27959-1-attila@HIDDEN>
X-Mailer: git-send-email 2.34.0
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Host-Lookup-Failed: Reverse DNS lookup failed for 2a00:1450:4864:20::62c
 (failed)
Received-SPF: pass client-ip=2a00:1450:4864:20::62c;
 envelope-from=attila.lendvai@HIDDEN; helo=mail-ej1-x62c.google.com
X-Spam_score_int: 0
X-Spam_score: -0.1
X-Spam_bar: /
X-Spam_report: (-0.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FORGED_FROMDOMAIN=0.249,
 FREEMAIL_FROM=0.001, HEADER_FROM_DIFFERENT_DOMAINS=0.25,
 PDS_HP_HELO_NORDNS=0.635, RCVD_IN_DNSWL_NONE=-0.0001, RDNS_NONE=0.793,
 SPF_HELO_NONE=0.001, SPF_PASS=-0.001,
 T_SCC_BODY_TEXT_LINE=-0.01 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Spam-Score: 0.7 (/)
X-Debbugs-Envelope-To: submit
Cc: Attila Lendvai <attila@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.8 (-)

Original work done by rp1, aka rparsons, as posted on IRC:
https://logs.guix.gnu.org/guix/2022-02-14.log#085815
---

only tested to build fine on amd64.

feel free to rewrite anything in the commit message, or anywhere else.

 gnu/packages/racket.scm | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/racket.scm b/gnu/packages/racket.scm
index d0a5ca494b..13338dde69 100644
--- a/gnu/packages/racket.scm
+++ b/gnu/packages/racket.scm
@@ -129,7 +129,7 @@ (define src
 (define-public racket-minimal
   (package
     (name "racket-minimal")
-    (version "8.3")            ; note: remember to also update racket!
+    (version "8.4")
     (source
      (origin
        (method git-fetch)
@@ -137,7 +137,7 @@ (define-public racket-minimal
              (url "https://github.com/racket/racket")
              (commit (string-append "v" version))))
        (sha256
-        "1i1jnv1wb0kanfg47hniafx2vhwjc33qqx66lq7wkf5hbmgsyws3")
+	"1vpl66gdgc8rnldmn8rmb7ar9l057jqjvgpfn29k57i3c5skr8s6")
        (file-name (git-file-name name version))
        (patches (search-patches "racket-minimal-sh-via-rktio.patch"))
        (modules '((guix build utils)))
-- 
2.34.0





Acknowledgement sent to Attila Lendvai <attila@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#53997; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 13 Jun 2022 02:15:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.